/*------------------------------------------------------------------------
 |  FILE            ServerCommands.java
 |  PART OF         SHH SpaceGame - a simple, networked multiplayer game.
 |  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 +----------------------------------------------------------------------*/

package server;

/**
 * Commands understood by game server.
 *
 * @author    Sverre H. Huseby
 *            &lt;<A HREF="mailto:shh@thathost.com">shh@thathost.com</A>&gt;
 * @version   $Id: ServerCommands.java,v 1.2 2001/10/16 18:54:03 sverrehu Exp $
 */
public final class ServerCommands {
/*-----------------------------------------------------------------------+
 |  PUBLIC INTERFACE                                                     |
 +----------------------------------------------------------------------*/
    public static final byte LOGIN        =  0;
    public static final byte SET_NAME     =  1;
    public static final byte SET_TURN     =  2;
    public static final byte SET_THRUST   =  3;
    public static final byte FIRE_PHASER  =  4;
    public static final byte FIRE_BOMB    =  5;
    public static final byte RESURRECT_ME =  6;
    public static final byte SAY          =  7;
}
